classification
Title: Explain the "status quo wins a stalemate" principle in the devguide
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, eric.araujo, ezio.melotti, mikehoy, ncoghlan, pitrou, python-dev, terry.reedy, tshepang
Priority: normal Keywords: easy, patch

Created on 2011-11-20 23:54 by ncoghlan, last changed 2012-10-19 12:06 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue13440_v1.diff mikehoy, 2012-10-12 14:15 Changes to faq/index.rst
Messages (12)
msg148016 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-11-20 23:54
I've linked http://www.boredomandlaziness.org/2011/02/status-quo-wins-stalemate.html in response to enough tracker issues and python-ideas threads now, that I'm convinced it (or at least something along those lines) belongs in the devguide.

It wouldn't hurt to also include something along the lines of:
http://www.boredomandlaziness.org/2011/02/justifying-python-language-changes.html
msg148119 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-22 15:08
+1
msg148373 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-11-26 00:23
Or expand 'Reporting Bugs' to 'Reporting Bugs and Requesting Features', perhaps renamed to 'Suggesting Improvements'. My point is that aspiring developers are not the only one that need to read the guideline, not withstanding the fact the some new developers or would-be developers are also enthusiastic in making proposals.
msg171044 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-09-23 15:33
What would be the benefit of adding this to the devguide?
I'll say it again, the devguide should be short enough to be practical for someone learning to contribute. It is quite wordy already.
msg171066 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-09-23 17:25
Maybe just add links to the two essays.
msg171339 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-09-26 12:56
I'd be willing to make a patch for this if you are agreed to just adding a couple of links to it (or otherwise).
msg172604 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-10-10 21:55
Would this be the appropriate place for the links to the two essays: http://docs.python.org/devguide/#proposing-changes-to-python-itself
msg172627 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-11 08:15
> I'll say it again, the devguide should be short enough to be practical for someone learning to contribute.

Better organization could help here.  I could see the devguide being a combination of (1) a brief document meant to be read cover to cover that captures the minimum one needs to know (as well as describing what else is available in the guide), and (2) more detailed info that someone could read on an as-needed basis or that a core developer could link to if assisting someone on a certain point (like the point covered by this issue).

Currently, the devguide is harder to soak in because there is no boundary between (1) and (2).  A recent example is that I didn't know about the custom repo option until Antoine mentioned it in a comment -- even after having looked at many of the sections.  On the plus side, he was able to link to it with the current organization.
msg172629 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-11 08:42
> Would this be the appropriate place for the links to the two essays:

Personally, I would start out with a question in the FAQ.  It could be called something like, "When is a change to Python justified?" and go after or in the same section as the question, "Where should I suggest new features and language changes?"

Then it could be referenced from other sections as needed (e.g. from "Changing the Python Language," "Reviewing Patches," etc).
msg172638 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-10-11 13:01
I'd suggest two things:

Clearly separate "Essential Reading" and "Additional Resources" headings on
the main page.

Add "Tips & Tricks" and "Design Philosophy" sections somewhere.
msg172747 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-10-12 14:15
Patch affects faq.rst/index.rst. In faq I put the two links along with some text as Chris suggested. In index I changed resources to Additional Resources and split up the old 'Resources' into 'Additional Resources/Essential Reading'. Feedback appreciated I will incorporate any new ideas into a version 2 and so forth until issue resolved.
msg173329 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-19 12:06
New changeset ec52e044421d by Nick Coghlan in branch 'default':
Close #13440 by linking to a couple of blog posts from the dev FAQ. Also rearrange the main page a bit to address some other concerns that came up on the tracker issue
http://hg.python.org/devguide/rev/ec52e044421d
History
Date User Action Args
2012-10-19 12:06:28python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg173329

resolution: fixed
stage: needs patch -> resolved
2012-10-12 14:15:36mikehoysetfiles: + issue13440_v1.diff
keywords: + patch
messages: + msg172747
2012-10-11 13:01:19ncoghlansetmessages: + msg172638
2012-10-11 08:42:21chris.jerdoneksetmessages: + msg172629
2012-10-11 08:15:23chris.jerdoneksetmessages: + msg172627
2012-10-10 21:55:07mikehoysetmessages: + msg172604
2012-09-26 12:56:16mikehoysetnosy: + mikehoy
messages: + msg171339
2012-09-23 17:27:47chris.jerdoneksetnosy: + chris.jerdonek
2012-09-23 17:25:52terry.reedysetmessages: + msg171066
2012-09-23 15:33:59pitrousetnosy: + pitrou
messages: + msg171044
2012-09-23 13:16:51ezio.melottisetkeywords: + easy
type: enhancement
2012-01-11 09:48:42tshepangsetnosy: + tshepang
2011-11-26 00:23:04terry.reedysetnosy: + terry.reedy
messages: + msg148373
2011-11-22 15:08:42eric.araujosetnosy: + eric.araujo
messages: + msg148119
2011-11-20 23:54:44ncoghlancreate